// RDS clock driver header functions of RDS software 
//
// =====================================================
//  Description
//    This file include constantes, definitions and  prototypes functions
//    for RDS clock driver 
//    
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
//=======================================
// Author : G.Laroche www.g.laroche.free.fr
//=======================================
// History:
// 22/05/07    V1.0
//       create 
//=======================================

#ifndef RDS_CLKDRV_H
#define RDS_CLKDRV_H

/* include system */
#include <avr/eeprom.h>

/* definition of constants  */
#define RDS_INIT_MASK_BIT 0x80  /* default value to intialise current mask, Select msb first */

#define RDS_CLOCK_DIVIDE_57K 23  /* (57000 / 1187.5 /2)-1 = 23 ==> preset value for OCR1A */




/* CLK driver functions  */
void RDSCLK_Init(void);                             /* initialisation */
void RDSCLK_Start(void);                            /* start clock generating and rds data sending */
void RDSCLK_Stop(void);                             /* stop rds data sending */

void RDS_CLK_IT_SendData(void);                     /* Interrupt handler for sending next rds data */



#endif
