// header file for USB interface of RDS USB software 
//
// =====================================================
//  Decription
//    This file include constant definition and prototype  functions of USB interface
//    
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
//=======================================
// Author : G.Laroche www.g.laroche.free.fr
//=======================================
// Historique:
// 24/06/07    V1.0
//       Create
//=======================================


#ifndef RDS_USBINTERFACE_H
#define RDS_USBINTERFACE_H

/* Includes */
#include <avr/io.h>      /* ATmega IO header */
#include <avr/signal.h>  /* interrupt header */
#include <avr/pgmspace.h>

/* include usbdriver */
#include "usbdrv/usbdrv.h"

#define USB_INTERFACE_SIZE_DATA 8

 
/* Prototypes functions */

void RS_USBIntefaceInit( void );      
/* function called by usbProcessRx (usbdrv;c) */
uint8_t usbFunctionSetup(uint8_t data[USB_INTERFACE_SIZE_DATA]);
 


#endif
