// header file of USB driver RDS USB coder ATm32 software 
//
// =====================================================
//  Description
//    This file include define for USB driver of RDS coder software  
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
//    
//=======================================
// Author : G.Laroche www.g.laroche.free.fr
//=======================================
// History:
//  23/06/07    V 1.0
//       original version 
//=======================================
/* Requests for end point 0             */

/* General command */

#define RDS_USB_PING                    0x00
#define RDS_USB_READ_VERSION            0x01
#define RDS_USB_CONFIG_2A               0x02
#define RDS_USB_CONFIG_STEREO           0x03
#define RDS_USB_RESET_EEPROM            0x04

/* update RAM command */

#define RDS_USB_UPDATE_PS_1             0x21   /* param= 2 word data */
#define RDS_USB_UPDATE_PS_2             0x22   /* param= 2 word data */
#define RDS_USB_UPDATE_PTY              0x23
#define RDS_USB_UPDATE_TP               0x24
#define RDS_USB_UPDATE_TA               0x25
#define RDS_USB_UPDATE_MS               0x26
#define RDS_USB_UPDATE_DI               0x27

#define RDS_USB_UPDATE_RT_0             0x30   /* first  2 word data */
#define RDS_USB_UPDATE_RT_1             0x31   /* second 2 word data */
#define RDS_USB_UPDATE_RT_2             0x32   /* 3      2 word data */
#define RDS_USB_UPDATE_RT_3             0x33   /* 4      2 word data */
#define RDS_USB_UPDATE_RT_4             0x34   /* 5      2 word data */
#define RDS_USB_UPDATE_RT_5             0x35   /* 6      2 word data */
#define RDS_USB_UPDATE_RT_6             0x36   /* 7      2 word data */
#define RDS_USB_UPDATE_RT_7             0x37   /* 8      2 word data */
#define RDS_USB_UPDATE_RT_8             0x38   /* 9      2 word data */
#define RDS_USB_UPDATE_RT_9             0x39   /* 10     2 word data */
#define RDS_USB_UPDATE_RT_A             0x3A   /* 11     2 word data */
#define RDS_USB_UPDATE_RT_B             0x3B   /* 12     2 word data */
#define RDS_USB_UPDATE_RT_C             0x3C   /* 13     2 word data */
#define RDS_USB_UPDATE_RT_D             0x3D   /* 14     2 word data */
#define RDS_USB_UPDATE_RT_E             0x3E   /* 15     2 word data */
#define RDS_USB_UPDATE_RT_F             0x3F   /* last   2 word data */

/* store EEPROM command */

#define RDS_USB_STORE_PS_1              0x61   /* param= 2 word data */
#define RDS_USB_STORE_PS_2              0x62   /* param= 2 word data */
#define RDS_USB_STORE_PTY               0x63
#define RDS_USB_STORE_TP                0x64
#define RDS_USB_STORE_TA                0x65
#define RDS_USB_STORE_MS                0x66
#define RDS_USB_STORE_DI                0x67
#define RDS_USB_STORE_PICODE            0x68
#define RDS_USB_STORE_NA                0x69
#define RDS_USB_STORE_AF                0x6A

#define RDS_USB_STORE_RT_0              0x70   /* first  2 word data */
#define RDS_USB_STORE_RT_1              0x71   /* second 2 word data */
#define RDS_USB_STORE_RT_2              0x72   /* 3      2 word data */
#define RDS_USB_STORE_RT_3              0x73   /* 4      2 word data */
#define RDS_USB_STORE_RT_4              0x74   /* 5      2 word data */
#define RDS_USB_STORE_RT_5              0x75   /* 6      2 word data */
#define RDS_USB_STORE_RT_6              0x76   /* 7      2 word data */
#define RDS_USB_STORE_RT_7              0x77   /* 8      2 word data */
#define RDS_USB_STORE_RT_8              0x78   /* 9      2 word data */
#define RDS_USB_STORE_RT_9              0x79   /* 10     2 word data */
#define RDS_USB_STORE_RT_A              0x7A   /* 11     2 word data */
#define RDS_USB_STORE_RT_B              0x7B   /* 12     2 word data */
#define RDS_USB_STORE_RT_C              0x7C   /* 13     2 word data */
#define RDS_USB_STORE_RT_D              0x7D   /* 14     2 word data */
#define RDS_USB_STORE_RT_E              0x7E   /* 15     2 word data */
#define RDS_USB_STORE_RT_F              0x7F   /* last   2 word data */


/* read RAM command */

#define RDS_USB_READ_CONFIG_2A          0x82
#define RDS_USB_READ_CONFIG_STEREO      0x83

#define RDS_USB_READ_PS_1               0xA1   /* param= 2 word data */
#define RDS_USB_READ_PS_2               0xA2   /* param= 2 word data */
#define RDS_USB_READ_PTY                0xA3
#define RDS_USB_READ_TP                 0xA4
#define RDS_USB_READ_TA                 0xA5
#define RDS_USB_READ_MS                 0xA6
#define RDS_USB_READ_DI                 0xA7
#define RDS_USB_READ_PICODE             0xA8
#define RDS_USB_READ_NA                 0xA9
#define RDS_USB_READ_AF                 0xAA

#define RDS_USB_READ_RT_0               0xB0   /* first  2 word data */
#define RDS_USB_READ_RT_1               0xB1   /* second 2 word data */
#define RDS_USB_READ_RT_2               0xB2   /* 3      2 word data */
#define RDS_USB_READ_RT_3               0xB3   /* 4      2 word data */
#define RDS_USB_READ_RT_4               0xB4   /* 5      2 word data */
#define RDS_USB_READ_RT_5               0xB5   /* 6      2 word data */
#define RDS_USB_READ_RT_6               0xB6   /* 7      2 word data */
#define RDS_USB_READ_RT_7               0xB7   /* 8      2 word data */
#define RDS_USB_READ_RT_8               0xB8   /* 9      2 word data */
#define RDS_USB_READ_RT_9               0xB9   /* 10     2 word data */
#define RDS_USB_READ_RT_A               0xBA   /* 11     2 word data */
#define RDS_USB_READ_RT_B               0xBB   /* 12     2 word data */
#define RDS_USB_READ_RT_C               0xBC   /* 13     2 word data */
#define RDS_USB_READ_RT_D               0xBD   /* 14     2 word data */
#define RDS_USB_READ_RT_E               0xBE   /* 15     2 word data */
#define RDS_USB_READ_RT_F               0xBF   /* last   2 word data */

/* read EEPROM  command */


#define RDS_USB_READ_E2P_PS_1           0xE1   /* param= 2 word data */
#define RDS_USB_READ_E2P_PS_2           0xE2   /* param= 2 word data */
#define RDS_USB_READ_E2P_PTY            0xE3
#define RDS_USB_READ_E2P_TP             0xE4
#define RDS_USB_READ_E2P_TA             0xE5
#define RDS_USB_READ_E2P_MS             0xE6
#define RDS_USB_READ_E2P_DI             0xE7
#define RDS_USB_READ_E2P_PICODE         0xE8
#define RDS_USB_READ_E2P_NA             0xE9
#define RDS_USB_READ_E2P_AF             0xEA

#define RDS_USB_READ_E2P_RT_0           0xF0   /* first  2 word data */
#define RDS_USB_READ_E2P_RT_1           0xF1   /* second 2 word data */
#define RDS_USB_READ_E2P_RT_2           0xF2   /* 3      2 word data */
#define RDS_USB_READ_E2P_RT_3           0xF3   /* 4      2 word data */
#define RDS_USB_READ_E2P_RT_4           0xF4   /* 5      2 word data */
#define RDS_USB_READ_E2P_RT_5           0xF5   /* 6      2 word data */
#define RDS_USB_READ_E2P_RT_6           0xF6   /* 7      2 word data */
#define RDS_USB_READ_E2P_RT_7           0xF7   /* 8      2 word data */
#define RDS_USB_READ_E2P_RT_8           0xF8   /* 9      2 word data */
#define RDS_USB_READ_E2P_RT_9           0xF9   /* 10     2 word data */
#define RDS_USB_READ_E2P_RT_A           0xFA   /* 11     2 word data */
#define RDS_USB_READ_E2P_RT_B           0xFB   /* 12     2 word data */
#define RDS_USB_READ_E2P_RT_C           0xFC   /* 13     2 word data */
#define RDS_USB_READ_E2P_RT_D           0xFD   /* 14     2 word data */
#define RDS_USB_READ_E2P_RT_E           0xFE   /* 15     2 word data */
#define RDS_USB_READ_E2P_RT_F           0xFF   /* last   2 word data */


/* USB information                      */
#define RDS_USB_VENDOR        0x16c0    /* standard shared AVR USB vendor ID */
#define RDS_USB_PRODUCT       0x05df    /* standard shared AVR USB product */
#define RDS_USB_DRIVER        "RDS coder 1.2" 
#define RDS_USB_VENDOR_NAME   "www.g.laroche.free.fr"
#define RDS_USB_VENDOR_DEVICE "RDS coder 1.2"

